## quilt 0.67+really0.67

=== debian/changelog ===
quilt (0.67+really0.67-4) unstable; urgency=medium

  * patchfns: Compatibility fix for BSD awk (Closes: #1053463)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 06 Oct 2023 18:26:30 +0200

quilt (0.67+really0.67-3) unstable; urgency=medium

  * Check for existance of series file.
    Since v0.67, quilt returns the error code 1 instead of 2,
    if the series file does not exist or is empty.
    So check if the series file contains data before
    running quilt to avoid returning an error.
    See Debian bug reports #1030781, #1053444, #1053500 for details.
    (Closes: #1053500)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 05 Oct 2023 17:59:16 +0200

quilt (0.67+really0.67-2) unstable; urgency=medium

  * Revert "Update expected error code."
    This reverts commit 765d2587ee912cb909d275af62d019b2e7fb0dfc.
    If there is nothing to do for quilt push/pop, the returned
    error code is 2. If the series file is missing, this is now
    the error code 1 instead of 2 (changed in 0.67).
    Closes: #1053444

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 04 Oct 2023 20:58:39 +0200

quilt (0.67+really0.67-1) unstable; urgency=medium

  [ Dr. Tobias Quathamer ]
  * New upstream version 0.67 (Closes: #1022134)
    - Refresh patches
    - Remove patch setup-dont-read-pc, applied upstream
    - Add gawk to Build-Depends, needed for testing
  * Update expected error code.
    quilt now exits with 1 as return when there was nothing to do.
    See https://bugs.debian.org/1030781 for details.
  * Update gbp.conf branch settings for DEP-14

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)
    * quilt: Drop conflict with removed package debhelper (<< 9.20160114~bpo) in Breaks.
    * Remove 2 maintscript entries from 2 files.
    Changes-By: deb-scrub-obsolete

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 03 Oct 2023 15:19:36 +0200
