## quilt 0.68

=== debian/changelog ===
quilt (0.68-1) unstable; urgency=medium

  * New upstream version 0.68. Closes: #1069204
    - The '-style' command line option has been removed.
      The contributed 'pretty' style is now included as example
      in html2text, so use it via the '-rcfile' command line
      option. (Closes: #1064729)
    - Refresh patches
    - Remove patches which have been applied upstream
  * Update upstream's signing key
  * Clean up patch header data
  * Use .patch extension for better syntax highlighting
  * Fix typo in d/changelog
  * Update to Standards-Version 4.7.0, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 18 Apr 2024 21:31:20 +0200
