=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                      html2text,
                      perl,
                      procmail,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/quilt
 Vcs-Git: https://salsa.debian.org/debian/quilt.git
 Homepage: https://savannah.nongnu.org/projects/quilt
