=== debian/watch ===
version=4
opts="pgpmode=auto" \
https://download.savannah.gnu.org/releases/quilt/ @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
