## quilt 0.69

=== debian/changelog ===
quilt (0.69-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version 0.69 (Closes: #1111656)
  * Drop alternative Depends: bsdmainutils
  * Drop CDBS integration (Closes: #508274)
  * Drop dpatch conversion features (Closes: #1123900)
  * Drop Enhances: cdbs
  * d/copyright: Convert to machine-readable format
  * d/copyright: Add missing notices

 -- Bastian Germann <bage@debian.org>  Fri, 23 Jan 2026 12:04:40 +0100
