=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
 Package: quilt
 Architecture: all
 Multi-Arch: foreign
-Depends: bsdextrautils | bsdmainutils,
+Depends: bsdextrautils,
          bzip2,
          diffstat,
          ed,
@@ -34,8 +34,7 @@
 Suggests: default-mta | mail-transport-agent,
           graphviz,
           procmail,
-Enhances: cdbs,
-          debhelper,
+Enhances: debhelper,
 Description: Tool to work with series of patches
  Quilt manages a series of patches by keeping track of the changes
  each of them makes. They are logically organized as a stack, and you can
@@ -50,10 +49,10 @@
  manage the (hundreds of) patches against the kernel made for the SUSE
  distribution.
  .
- This package provides seamless integration into Debhelper or CDBS,
+ This package provides seamless integration into Debhelper,
  allowing maintainers to easily add a quilt-based patch management system in
  their packages. The package also provides some basic support for those not
- using those tools. See README.Debian for more information.
+ using Debhelper. See README.Debian for more information.
 
 Package: quilt-el
 Architecture: all
